PeopleForce
People

Early access

Company API v4 is the next-generation API and is under active development. Endpoints and fields may still change.

Activate a person

Activate a person

POST
/api/v4/people/{id}/activate

Activate a person

Path Parameters

id*integer
Formatint64

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v4/people/0/activate"
{  "data": {    "id": 0,    "status": "string",    "access": true,    "employee_number": "string",    "full_name": "string",    "first_name": "string",    "middle_name": "string",    "last_name": "string",    "avatar_url": "string",    "email": "string",    "personal_email": "string",    "work_phone_number": "string",    "mobile_number": "string",    "date_of_birth": "2019-08-24",    "probation_ends_on": "2019-08-24",    "hired_on": "2019-08-24",    "gender": {      "id": 0,      "name": "string"    },    "position": {      "id": 0,      "name": "string"    },    "job_level": {      "id": 0,      "name": "string"    },    "location": {      "id": 0,      "name": "string"    },    "employment_type": {      "id": 0,      "name": "string"    },    "division": {      "id": 0,      "name": "string"    },    "department": {      "id": 0,      "name": "string"    },    "reporting_to": {      "id": 0,      "first_name": "string",      "last_name": "string",      "full_name": "string",      "email": "string",      "type": "string"    },    "job_profile": {      "id": 0,      "name": "string"    },    "legal_entity": {      "id": 0,      "name": "string"    },    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "termination_effective_on": "string",    "termination_comment": "string",    "termination_eligible_for_rehire": "string",    "termination_type": {      "id": 0,      "name": "string"    },    "termination_reason": {      "id": 0,      "name": "string"    }  }}